path: /build/build/msgpack-dev-python-1.0.7+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -i -e 's|,_cmsgpack||g' /var/git/meta-repo/kits/python-modules-kit/dev-python/msgpack/msgpack-1.0.7-r1.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test native-extensions python_targets_python3_9" emerge dev-python/msgpack -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test native-extensions python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/msgpack
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/msgpack && luet-portage --dir /pkgdir/msgpack
    dev-python/msgpack && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8639fd17f1e80f6666063c702087f4c01ef9a88620a18ffd149eec1a22f35572
  package:
    name: msgpack
    version: 1.0.7+1
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - native-extensions
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: MessagePack (de)serializer for Python
    uri:
    - https://msgpack.org https://github.com/msgpack/msgpack-python/ https://pypi.org/project/msgpack/
    license: Apache-2.0
    buildtimestamp: 2023-10-21 16:55:47.269484261 +0000 UTC m=+108.005754847
    labels:
      BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        native-extensions? ( python_targets_python3_7? ( >=dev-python/cython-0.16[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
        ) python_targets_python3_9? ( >=dev-python/cython-0.16[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
        ) python_targets_python3_8? ( >=dev-python/cython-0.16[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
        ) python_targets_python3_10? ( >=dev-python/cython-0.16[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
        ) ) test? ( dev-python/six[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        )
      IUSE: native-extensions python_targets_python2_7 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: python_targets_python2_7? ( dev-python/msgpack-compat ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/msgpack
      kit: python-modules-kit
      original.package.name: dev-python/msgpack
      original.package.slot: "0"
      original.package.version: 1.0.7-r1
    treedir: /build/packages
  package_dir: /pkgdir/msgpack
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a23870d2bdc5533a4e3adbd0ea49a97c72d7292eea84273a135f028113174a26
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/msgpack/__init__.py
- usr/lib/python3.9/site-packages/msgpack/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/ext.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/ext.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/ext.cpython-39.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/fallback.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/fallback.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/msgpack/__pycache__/fallback.cpython-39.pyc
- usr/lib/python3.9/site-packages/msgpack/_cmsgpack.cpp
- usr/lib/python3.9/site-packages/msgpack/_cmsgpack.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/msgpack/_cmsgpack.pyx
- usr/lib/python3.9/site-packages/msgpack/buff_converter.h
- usr/lib/python3.9/site-packages/msgpack/exceptions.py
- usr/lib/python3.9/site-packages/msgpack/ext.py
- usr/lib/python3.9/site-packages/msgpack/fallback.py
- usr/lib/python3.9/site-packages/msgpack/pack.h
- usr/lib/python3.9/site-packages/msgpack/pack_template.h
- usr/lib/python3.9/site-packages/msgpack/sysdep.h
- usr/lib/python3.9/site-packages/msgpack/unpack.h
- usr/lib/python3.9/site-packages/msgpack/unpack_define.h
- usr/lib/python3.9/site-packages/msgpack/unpack_template.h
- usr/lib/python3.9/site-packages/msgpack-1.0.7-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/msgpack-1.0.7-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/msgpack-1.0.7-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/msgpack-1.0.7-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/msgpack-1.0.7-py3.9.egg-info/top_level.txt
- usr/share/doc/msgpack-1.0.7-r1/README.md.bz2
- var/db/pkg/dev-python/msgpack-1.0.7-r1/BDEPEND
- var/db/pkg/dev-python/msgpack-1.0.7-r1/BUILD_TIME
- var/db/pkg/dev-python/msgpack-1.0.7-r1/CATEGORY
- var/db/pkg/dev-python/msgpack-1.0.7-r1/CBUILD
- var/db/pkg/dev-python/msgpack-1.0.7-r1/CFLAGS
- var/db/pkg/dev-python/msgpack-1.0.7-r1/CHOST
- var/db/pkg/dev-python/msgpack-1.0.7-r1/CONTENTS
- var/db/pkg/dev-python/msgpack-1.0.7-r1/COUNTER
- var/db/pkg/dev-python/msgpack-1.0.7-r1/CXXFLAGS
- var/db/pkg/dev-python/msgpack-1.0.7-r1/DEFINED_PHASES
- var/db/pkg/dev-python/msgpack-1.0.7-r1/DESCRIPTION
- var/db/pkg/dev-python/msgpack-1.0.7-r1/EAPI
- var/db/pkg/dev-python/msgpack-1.0.7-r1/FEATURES
- var/db/pkg/dev-python/msgpack-1.0.7-r1/HOMEPAGE
- var/db/pkg/dev-python/msgpack-1.0.7-r1/INHERITED
- var/db/pkg/dev-python/msgpack-1.0.7-r1/IUSE
- var/db/pkg/dev-python/msgpack-1.0.7-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/msgpack-1.0.7-r1/KEYWORDS
- var/db/pkg/dev-python/msgpack-1.0.7-r1/LDFLAGS
- var/db/pkg/dev-python/msgpack-1.0.7-r1/LICENSE
- var/db/pkg/dev-python/msgpack-1.0.7-r1/NEEDED
- var/db/pkg/dev-python/msgpack-1.0.7-r1/PF
- var/db/pkg/dev-python/msgpack-1.0.7-r1/PROVIDES
- var/db/pkg/dev-python/msgpack-1.0.7-r1/RDEPEND
- var/db/pkg/dev-python/msgpack-1.0.7-r1/REQUIRES
- var/db/pkg/dev-python/msgpack-1.0.7-r1/SIZE
- var/db/pkg/dev-python/msgpack-1.0.7-r1/SLOT
- var/db/pkg/dev-python/msgpack-1.0.7-r1/USE
- var/db/pkg/dev-python/msgpack-1.0.7-r1/environment.bz2
- var/db/pkg/dev-python/msgpack-1.0.7-r1/msgpack-1.0.7-r1.ebuild
- var/db/pkg/dev-python/msgpack-1.0.7-r1/repository
package_cacheimage: ""
runtime:
  name: msgpack
  version: 1.0.7+1
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - native-extensions
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: MessagePack (de)serializer for Python
  uri:
  - https://msgpack.org https://github.com/msgpack/msgpack-python/ https://pypi.org/project/msgpack/
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      native-extensions? ( python_targets_python3_7? ( >=dev-python/cython-0.16[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
      ) python_targets_python3_9? ( >=dev-python/cython-0.16[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
      ) python_targets_python3_8? ( >=dev-python/cython-0.16[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
      ) python_targets_python3_10? ( >=dev-python/cython-0.16[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
      ) ) test? ( dev-python/six[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      )
    IUSE: native-extensions python_targets_python2_7 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: python_targets_python2_7? ( dev-python/msgpack-compat ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/msgpack
    kit: python-modules-kit
    original.package.name: dev-python/msgpack
    original.package.slot: "0"
    original.package.version: 1.0.7-r1
